Structure V2

Service endpoints to access MSD structures.

Get structure by structure id

Request

Get structure by structure id

Security
bearer and appkey
Path
idstringrequired

The structure id

Headers
slb-data-partition-idstringrequired

The data partition id.

curl -i -X GET \
  'https://eu-api.delfi.slb.com/drillplan/msd/v2/structures/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-data-partition-id: string'

Responses

Success

Bodyapplication/json
Array [
idstring
namestring
is_offshoreboolean
locationobject(GlobalLocationDto)
wgs84_locationobject(Wgs84Dto)
ground_levelnumber
sourcestring
external_tagstring
fieldstring
north_referencestring
Enum:"Grid""True"
uncertaintyobject(Uncertainty)
slot_setArray of objects(SlotDto)
]
Response
[ { "id": "string", "name": "string", "is_offshore": true, "location": {}, "wgs84_location": {}, "ground_level": 0, "source": "string", "external_tag": "string", "field": "string", "north_reference": "Grid", "uncertainty": {}, "slot_set": [] } ]